.main_div { /* Padre de menu_collapse y editor */
  display: flex;
  padding: 0;
  margin: 0;
  height: 100%;
}

.menu_collapse { /* Padre de tree_and_commands */
  width: 200px;
  flex: 0 0 auto;
  margin: 0;
  padding: 0;
}

.tree_and_commands {
  width: 100%;
  margin: 0;
  padding: 0;
}

.editor { /* Padre de tabview, blocklyeditorclass, texteditorclass */
  flex: 1 0 0 auto;
  display: flex;
  flex-direction: column; /* Disposición vertical */
  align-items: stretch; /* Alinea los elementos hijos en la parte superior */
  overflow: auto;
  width: 100%;
}

/* TODO: Se requiere agregar la clase referente a log y commands */

.tabview {
  max-height: content;
  overflow-y: auto;
  width: 100%;
  /* TODO: se ha fijado el valor height para renderizar blockly, buscar otra opción */
  height: 55px; 
}

.toolbar {
  /* TODO: se ha fijado el valor height para renderizar blockly, buscar otra opción */
  height: 55px;
}

.textInputDialogClass {
  background-color: rgba(0, 255, 0, 0.1); /* Sombreado verde claro */
}

.blocklyeditorclass {
  flex: 1;
  height: 100%;
  max-width: 100%;
  overflow-x: auto;
  overflow-y: auto;
}

.texteditorclass {
  flex: 1;
  max-width: 100%;
  overflow-x: auto;
  overflow-y: auto;
}

@media (max-width: 768px) {
  .main_div {
    font-size: 10px;
  }
}
